Subject: Re: [email-masked]: I-D ACTION:draft-bates-route-reflect-00.txt
From: Tony Bates <[email-masked]>
To: "Jonathan Jiang" <[email-masked]>
Cc: "bgp" <[email-masked]>
Date: Wed, 31 Jan 1996 18:03:23 -0500

Not sure if the RR is really the best place for this. In my mind
dampening sits much better at the edge. Putting the strain on IBGP
seems a bad way to go. This also fits with current models today.

		--Tony.

 "Jonathan Jiang" <[email-masked]> writes:
  * The document looks good and solves some of the problems I have confronted u
  * sing 
  * BGP.  
  * 
  * It seems to me that the RR is a good device to provide some damping of rout
  * e 
  * flapping.  If the RR
  * delays the reflection for a setable period of time, the effect of route 
  * flapping will not be felt by the 
  * other members of the RR client group.  This would introduce delay, especial
  * ly 
  * in the case where
  * there are RRs in the client group, but I believe the delay is not as expens
  * ive 
  * as flapping.
  * 
  * Jon

Date: Wed, 31 Jan 1996 16:13:32 -0500
To: "Tony Bates" <[email-masked]>
Cc: "bgp" <[email-masked]>
From: "Jonathan Jiang" <[email-masked]>
Subject: Re: [email-masked]: I-D ACTION:draft-bates-route-reflect-00.txt
Sender: [email-masked]
Reply-To: [email-masked]

The document looks good and solves some of the problems I have confronted using 
BGP.  

It seems to me that the RR is a good device to provide some damping of route 
flapping.  If the RR
delays the reflection for a setable period of time, the effect of route 
flapping will not be felt by the 
other members of the RR client group.  This would introduce delay, especially 
in the case where
there are RRs in the client group, but I believe the delay is not as expensive 
as flapping.

Jon

To: [email-masked]
Subject: [email-masked]: I-D ACTION:draft-bates-route-reflect-00.txt
From: Tony Bates <[email-masked]>
Date: Wed, 31 Jan 1996 11:41:11 -0500
Sender: [email-masked]
Reply-To: [email-masked]

This should be of interest (See below). 
This is basically long overdue and something
Ravi and I had talked about doing sometime ago. While we are on the
subject of documentation I would like to see a number of documents be
moved along the relavent track. Specifically, the BGP confederation and
BGP community drafts from cisco (which may have expired unfortunately)
to Informational RFC as they are in widespread use plus the DPA set of
course ;-). We are close to (I beleive) having two implementations of
DPA now available. What say the IDR chair ?

BTW: Can anyone who has/is implemented DPA drop me a private note. 

		Thanks,
			--Tony.

------- Forwarded Message

Date:     Wed, 31 Jan 96 09:38:01 -0500
From:     [email-masked]
Sender:   [email-masked]
To:       IETF-Announce:;
Subject:  I-D ACTION:draft-bates-route-reflect-00.txt

- --NextPart

A New Internet-Draft is available from the on-line Internet-Drafts 
directories.                                                               

       Title     : BGP Route Reflection  An alternative to full mesh IBGP  
       Author(s) : T. Bates, R. Chandra
       Filename  : draft-bates-route-reflect-00.txt
       Pages     : 8
       Date      : 01/30/1996

The Border Gateway Protocol [1] is an inter-autonomous system routing 
protocol designed for TCP/IP internets. BGP deployments are configured such
that that all BGP speakers within a single AS must be fully meshed so that 
any external routing information must be re-distributed to all other 
routers within that AS. This represents a serious scaling problem that has 
been well documented with several alternatives proposed [2,3].  
           
This document describes the use and design of a method known as "Route 
Reflection" to alleviate the the need for "full mesh" IBGP.                

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-bates-route-reflect-00.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-bates-route-reflect-00.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (192.12.192.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-bates-route-reflect-00.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

- --NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

- --OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-bates-route-reflect-00.txt

- --OtherAccess
Content-Type:   Message/External-body;
        name="draft-bates-route-reflect-00.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

- --OtherAccess--

- --NextPart--

------- End of Forwarded Message

To: [email-masked]
Cc: [email-masked]
Subject: Re: I-D ACTION:draft-ietf-idr-bgp-dpa-04.txt 
From: Tony Bates <[email-masked]>
Date: Tue, 30 Jan 1996 14:10:14 -0500
Sender: [email-masked]
Reply-To: [email-masked]

The major change here is that we slightly modified the Route selection
part of the text such that the DPA_AS will NOT be considered in the
selection. This is after various desicussions with implementors and
the added implementation/convergence this potentially adds.

			--Tony.

 [email-masked] writes:
  * --NextPart
  * 
  * A Revised Internet-Draft is available from the on-line Internet-Drafts 
  * directories. This draft is a work item of the Inter-Domain Routing Working 
  * Group of the IETF.                                                         
  * 
  *        Title     : Destination Preference Attribute for BGP                
  *        Author(s) : E. Chen, T. Bates
  *        Filename  : draft-ietf-idr-bgp-dpa-04.txt
  *        Pages     : 5
  *        Date      : 01/29/1996
  * 
  * The Border Gateway Protocol [1] is an inter-autonomous system routing 
  * protocol designed for TCP/IP internets.   
  *                                  
  * This document describes a new BGP path attribute termed "Destination 
  * Preference Attribute" (DPA) which can be used by a single autonomous system
  * (AS) to specify globally transitive metrics in its routing announcement via
  * BGP.  The metric can then be used by upstream BGP speakers to favor certain
  * path for return traffic.  The application of this attribute includes 
  * facilitating the implementation of symmetric routing and load sharing in 
  * the multi-provider Internet.                                               
  * 
  * Internet-Drafts are available by anonymous FTP.  Login with the username
  * "anonymous" and a password of your e-mail address.  After logging in,
  * type "cd internet-drafts" and then
  *      "get draft-ietf-idr-bgp-dpa-04.txt".
  * A URL for the Internet-Draft is:
  * ftp://ds.internic.net/internet-drafts/draft-ietf-idr-bgp-dpa-04.txt
  *  
  * Internet-Drafts directories are located at:	
  * 	                                                
  *      o  Africa                                   
  *         Address:  ftp.is.co.za (196.4.160.8)	
  * 	                                                
  *      o  Europe                                   
  *         Address:  nic.nordu.net (192.36.148.17)	
  *         Address:  ftp.nis.garr.it (192.12.192.10)
  * 	                                                
  *      o  Pacific Rim                              
  *         Address:  munnari.oz.au (128.250.1.21)	
  * 	                                                
  *      o  US East Coast                            
  *         Address:  ds.internic.net (198.49.45.10)	
  * 	                                                
  *      o  US West Coast                            
  *         Address:  ftp.isi.edu (128.9.0.32)  	
  * 	                                                
  * Internet-Drafts are also available by mail.	
  * 	                                                
  * Send a message to:  [email-masked]. In the body type: 
  *      "FILE /internet-drafts/draft-ietf-idr-bgp-dpa-04.txt".
  * 							
  * NOTE: The mail server at ds.internic.net can return the document in
  *       MIME-encoded form by using the "mpack" utility.  To use this
  *       feature, insert the command "ENCODING mime" before the "FILE"
  *       command.  To decode the response(s), you will need "munpack" or
  *       a MIME-compliant mail reader.  Different MIME-compliant mail readers
  *       exhibit different behavior, especially when dealing with
  *       "multipart" MIME messages (i.e., documents which have been split
  *       up into multiple messages), so check your local documentation on
  *       how to manipulate these messages.
  * 							
  * For questions, please mail to [email-masked].
  * 							
  * 
  * Below is the data which will enable a MIME compliant mail reader 
  * implementation to automatically retrieve the ASCII version
  * of the Internet-Draft.
  * 
  * --NextPart
  * Content-Type: Multipart/Alternative; Boundary="OtherAccess"
  * 
  * --OtherAccess
  * Content-Type:  Message/External-body;
  *         access-type="mail-server";
  *         server="[email-masked]"
  * 
  * Content-Type: text/plain
  * Content-ID: <[email-masked]>
  * 
  * ENCODING mime
  * FILE /internet-drafts/draft-ietf-idr-bgp-dpa-04.txt
  * 
  * --OtherAccess
  * Content-Type:   Message/External-body;
  *         name="draft-ietf-idr-bgp-dpa-04.txt";
  *         site="ds.internic.net";
  *         access-type="anon-ftp";
  *         directory="internet-drafts"
  * 
  * Content-Type: text/plain
  * Content-ID: <[email-masked]>
  * 
  * --OtherAccess--
  * 
  * --NextPart--

To: [email-masked]
Cc: [email-masked]
Subject: Re: I-D ACTION:draft-ietf-idr-symm-multi-prov-02.txt 
From: Tony Bates <[email-masked]>
Date: Tue, 30 Jan 1996 14:07:55 -0500
Sender: [email-masked]
Reply-To: [email-masked]

Main change here is that we updated this to take into account the use
of communities as detailed in 

	draft-chen-community-usage-00.txt

		--Tony.

 [email-masked] writes:
  * --NextPart
  * 
  * A Revised Internet-Draft is available from the on-line Internet-Drafts 
  * directories. This draft is a work item of the Inter-Domain Routing Working 
  * Group of the IETF.                                                         
  * 
  *        Title     : Current Practice of Implementing Symmetric Routing and 
  *                    Load Sharing in the Multi-Provider Internet             
  *        Author(s) : E. Chen, T. Bates
  *        Filename  : draft-ietf-idr-symm-multi-prov-02.txt
  *        Pages     : 13
  *        Date      : 01/29/1996
  * 
  * In the current multi-provider Internet, it is common for an entity to have 
  * multiple service providers. Symmetric routing becomes increasingly 
  * important for various reasons.  This memo documents and analyzes the 
  * current practice in implementing symmetric inter-domain routing using BGP 
  * for several representative topologies of Internet connections.             
  * 
  * Internet-Drafts are available by anonymous FTP.  Login with the username
  * "anonymous" and a password of your e-mail address.  After logging in,
  * type "cd internet-drafts" and then
  *      "get draft-ietf-idr-symm-multi-prov-02.txt".
  * A URL for the Internet-Draft is:
  * ftp://ds.internic.net/internet-drafts/draft-ietf-idr-symm-multi-prov-02.txt
  *  
  * Internet-Drafts directories are located at:	
  * 	                                                
  *      o  Africa                                   
  *         Address:  ftp.is.co.za (196.4.160.8)	
  * 	                                                
  *      o  Europe                                   
  *         Address:  nic.nordu.net (192.36.148.17)	
  *         Address:  ftp.nis.garr.it (192.12.192.10)
  * 	                                                
  *      o  Pacific Rim                              
  *         Address:  munnari.oz.au (128.250.1.21)	
  * 	                                                
  *      o  US East Coast                            
  *         Address:  ds.internic.net (198.49.45.10)	
  * 	                                                
  *      o  US West Coast                            
  *         Address:  ftp.isi.edu (128.9.0.32)  	
  * 	                                                
  * Internet-Drafts are also available by mail.	
  * 	                                                
  * Send a message to:  [email-masked]. In the body type: 
  *      "FILE /internet-drafts/draft-ietf-idr-symm-multi-prov-02.txt".
  * 							
  * NOTE: The mail server at ds.internic.net can return the document in
  *       MIME-encoded form by using the "mpack" utility.  To use this
  *       feature, insert the command "ENCODING mime" before the "FILE"
  *       command.  To decode the response(s), you will need "munpack" or
  *       a MIME-compliant mail reader.  Different MIME-compliant mail readers
  *       exhibit different behavior, especially when dealing with
  *       "multipart" MIME messages (i.e., documents which have been split
  *       up into multiple messages), so check your local documentation on
  *       how to manipulate these messages.
  * 							
  * For questions, please mail to [email-masked].
  * 							
  * 
  * Below is the data which will enable a MIME compliant mail reader 
  * implementation to automatically retrieve the ASCII version
  * of the Internet-Draft.
  * 
  * --NextPart
  * Content-Type: Multipart/Alternative; Boundary="OtherAccess"
  * 
  * --OtherAccess
  * Content-Type:  Message/External-body;
  *         access-type="mail-server";
  *         server="[email-masked]"
  * 
  * Content-Type: text/plain
  * Content-ID: <[email-masked]>
  * 
  * ENCODING mime
  * FILE /internet-drafts/draft-ietf-idr-symm-multi-prov-02.txt
  * 
  * --OtherAccess
  * Content-Type:   Message/External-body;
  *         name="draft-ietf-idr-symm-multi-prov-02.txt";
  *         site="ds.internic.net";
  *         access-type="anon-ftp";
  *         directory="internet-drafts"
  * 
  * Content-Type: text/plain
  * Content-ID: <[email-masked]>
  * 
  * --OtherAccess--
  * 
  * --NextPart--
  * 

To: IETF-Announce: ;
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-symm-multi-prov-02.txt
Date: Tue, 30 Jan 96 09:30:04 -0500
Sender: [email-masked]
Reply-To: [email-masked]

--NextPart

A Revised Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : Current Practice of Implementing Symmetric Routing and 
                   Load Sharing in the Multi-Provider Internet             
       Author(s) : E. Chen, T. Bates
       Filename  : draft-ietf-idr-symm-multi-prov-02.txt
       Pages     : 13
       Date      : 01/29/1996

In the current multi-provider Internet, it is common for an entity to have 
multiple service providers. Symmetric routing becomes increasingly 
important for various reasons.  This memo documents and analyzes the 
current practice in implementing symmetric inter-domain routing using BGP 
for several representative topologies of Internet connections.             

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-symm-multi-prov-02.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-symm-multi-prov-02.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (192.12.192.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-symm-multi-prov-02.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-symm-multi-prov-02.txt

--OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-symm-multi-prov-02.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--

To: IETF-Announce: ;
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-dpa-application-02.txt
Date: Tue, 30 Jan 96 09:28:53 -0500
Sender: [email-masked]
Reply-To: [email-masked]

--NextPart

A Revised Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : Application of the BGP Destination Preference Attribute 
                   in Implementing Symmetric Routing                       
       Author(s) : E. Chen, T. Bates
       Filename  : draft-ietf-idr-dpa-application-02.txt
       Pages     : 8
       Date      : 01/29/1996

This paper presents applications of the proposed Destination Preference 
Attribute (DPA) for BGP.  It shows how the DPA attribute can aid in the 
implementation of symmetric inter-domain routing in the multi-provider 
Internet.                                                                  

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-dpa-application-02.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-dpa-application-02.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (192.12.192.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-dpa-application-02.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-dpa-application-02.txt

--OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-dpa-application-02.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--

To: IETF-Announce: ;
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-bgp-dpa-04.txt
Date: Tue, 30 Jan 96 09:28:05 -0500
Sender: [email-masked]
Reply-To: [email-masked]

--NextPart

A Revised Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : Destination Preference Attribute for BGP                
       Author(s) : E. Chen, T. Bates
       Filename  : draft-ietf-idr-bgp-dpa-04.txt
       Pages     : 5
       Date      : 01/29/1996

The Border Gateway Protocol [1] is an inter-autonomous system routing 
protocol designed for TCP/IP internets.   
                                 
This document describes a new BGP path attribute termed "Destination 
Preference Attribute" (DPA) which can be used by a single autonomous system
(AS) to specify globally transitive metrics in its routing announcement via
BGP.  The metric can then be used by upstream BGP speakers to favor certain
path for return traffic.  The application of this attribute includes 
facilitating the implementation of symmetric routing and load sharing in 
the multi-provider Internet.                                               

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-bgp-dpa-04.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-bgp-dpa-04.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (192.12.192.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-bgp-dpa-04.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-bgp-dpa-04.txt

--OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-bgp-dpa-04.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--

To: IETF-Announce: ;
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-idrp-v4v6-02.txt
Date: Fri, 26 Jan 96 09:36:41 -0500
Sender: [email-masked]
Reply-To: [email-masked]

--NextPart

A Revised Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : IDRP for IP v4 and v6                                   
       Author(s) : Y. Rekhter, P. Traina
       Filename  : draft-ietf-idr-idrp-v4v6-02.txt
       Pages     : 20
       Date      : 01/25/1996

IDRP [5] is defined as the protocol for exchange of Inter-Domain routing 
information between routers to support forwarding of ISO 8473 
(Connectionless Network Layer Protocol (CLNP))[6] packets.                 

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-idrp-v4v6-02.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-idrp-v4v6-02.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (192.12.192.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-idrp-v4v6-02.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-idrp-v4v6-02.txt

--OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-idrp-v4v6-02.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--

To: IETF-Announce: ;
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-bgp4-02.txt
Date: Tue, 23 Jan 96 09:40:36 -0500
Sender: [email-masked]
Reply-To: [email-masked]

--NextPart

A Revised Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : A Border Gateway Protocol 4 (BGP-4)                     
       Author(s) : Y. Rekhter, T. Li
       Filename  : draft-ietf-idr-bgp4-02.txt
       Pages     : 59
       Date      : 01/22/1996

The Border Gateway Protocol (BGP) is an inter-Autonomous System routing 
protocol.  It is built on experience gained with EGP as defined in RFC 904 
[1] and EGP usage in the NSFNET Backbone as described in RFC 1092 [2] and 
RFC 1093 [3].                                                              

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-bgp4-02.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-bgp4-02.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (192.12.192.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-bgp4-02.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-bgp4-02.txt

--OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-bgp4-02.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--

To: [email-masked]
Subject: revised BGP-4 MIB
Date: Tue, 23 Jan 96 18:09:59 PST
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]
Reply-To: [email-masked]

Folks,

This is a revised version of BGP-4 MIB. The revision reflected
the comments we received on the document during the IESG Last Call.
The revision also includes some editorial cleanup. If you have any
problems with this version of MIB, please let me know within a week.

Yakov.
------- Forwarded Message

To: IETF-Announce:;
Cc: [email-masked]
Sender: [email-masked]
From: [email-masked]
Reply-To: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-bgp4-mib-01.txt
Date: Mon, 15 Jan 96 09:40:50 -0500

- --NextPart

A Revised Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : Definitions of Managed Objects for the Fourth Version of
                   Border Gateway Protocol (BGP-4)                         
       Author(s) : S. Willis, J. Burruss, J. Chu, J. Johnson
       Filename  : draft-ietf-idr-bgp4-mib-01.txt
       Pages     : 17
       Date      : 01/11/1996

This memo is an extension to the SNMP MIB.  It specifies an IAB standards 
track protocol for the Internet community, and requests discussion and 
suggestions for improvements.  The origin of this memo is from RFC 1269 
"Definitions of Managed Objects for the Board Gateway Protocol (Version 3)"
written by the first two authors of this memo, which was updated to support
BGP-4 in RFC 1657.  This memo fixes errors introduced when the MIB was 
converted to use the SNMPv2 SMI. 
                                      
Distribution of this memo is unlimited.  Please forward comments to 
[email-masked].                                                               

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-bgp4-mib-01.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-bgp4-mib-01.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (192.12.192.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-bgp4-mib-01.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

- --NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

- --OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-bgp4-mib-01.txt

- --OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-bgp4-mib-01.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

- --OtherAccess--

- --NextPart--

------- End of Forwarded Message

To: [email-masked]
Subject: BGP-4
Date: Tue, 23 Jan 96 18:06:31 PST
From: Yakov Rekhter <[email-masked]>
Sender: [email-masked]
Reply-To: [email-masked]

Folks,
This is the same text as we had before (01.txt). We resubmitted it to
keep the current BGP-4 text available.
Yakov.
------- Forwarded Message

To: IETF-Announce:;
Cc: [email-masked]
Sender: [email-masked]
From: [email-masked]
Reply-To: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-bgp4-02.txt
Date: Tue, 23 Jan 96 09:40:36 -0500

- --NextPart

A Revised Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : A Border Gateway Protocol 4 (BGP-4)                     
       Author(s) : Y. Rekhter, T. Li
       Filename  : draft-ietf-idr-bgp4-02.txt
       Pages     : 59
       Date      : 01/22/1996

The Border Gateway Protocol (BGP) is an inter-Autonomous System routing 
protocol.  It is built on experience gained with EGP as defined in RFC 904 
[1] and EGP usage in the NSFNET Backbone as described in RFC 1092 [2] and 
RFC 1093 [3].                                                              

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-bgp4-02.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-bgp4-02.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (192.12.192.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-bgp4-02.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

- --NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

- --OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-bgp4-02.txt

- --OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-bgp4-02.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

- --OtherAccess--

- --NextPart--

------- End of Forwarded Message

To: IETF-Announce: ;
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-idr-bgp4-mib-01.txt
Date: Mon, 15 Jan 96 09:40:50 -0500
Sender: [email-masked]
Reply-To: [email-masked]

--NextPart

A Revised Internet-Draft is available from the on-line Internet-Drafts 
directories. This draft is a work item of the Inter-Domain Routing Working 
Group of the IETF.                                                         

       Title     : Definitions of Managed Objects for the Fourth Version of
                   Border Gateway Protocol (BGP-4)                         
       Author(s) : S. Willis, J. Burruss, J. Chu, J. Johnson
       Filename  : draft-ietf-idr-bgp4-mib-01.txt
       Pages     : 17
       Date      : 01/11/1996

This memo is an extension to the SNMP MIB.  It specifies an IAB standards 
track protocol for the Internet community, and requests discussion and 
suggestions for improvements.  The origin of this memo is from RFC 1269 
"Definitions of Managed Objects for the Board Gateway Protocol (Version 3)"
written by the first two authors of this memo, which was updated to support
BGP-4 in RFC 1657.  This memo fixes errors introduced when the MIB was 
converted to use the SNMPv2 SMI. 
                                      
Distribution of this memo is unlimited.  Please forward comments to 
[email-masked].                                                               

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-idr-bgp4-mib-01.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-idr-bgp4-mib-01.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa                                   
        Address:  ftp.is.co.za (196.4.160.8)	
	                                                
     o  Europe                                   
        Address:  nic.nordu.net (192.36.148.17)	
        Address:  ftp.nis.garr.it (192.12.192.10)
	                                                
     o  Pacific Rim                              
        Address:  munnari.oz.au (128.250.1.21)	
	                                                
     o  US East Coast                            
        Address:  ds.internic.net (198.49.45.10)	
	                                                
     o  US West Coast                            
        Address:  ftp.isi.edu (128.9.0.32)  	
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-idr-bgp4-mib-01.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.
							
For questions, please mail to [email-masked].

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type:  Message/External-body;
        access-type="mail-server";
        server="[email-masked]"

Content-Type: text/plain
Content-ID: <[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-idr-bgp4-mib-01.txt

--OtherAccess
Content-Type:   Message/External-body;
        name="draft-ietf-idr-bgp4-mib-01.txt";
        site="ds.internic.net";
        access-type="anon-ftp";
        directory="internet-drafts"

Content-Type: text/plain
Content-ID: <[email-masked]>

--OtherAccess--

--NextPart--

From: [email-masked]
Subject: RFC1771 question
Date: 10 Jan 96 12:33:31 JST
To: [email-masked]
Lines: 12
Sender: [email-masked]
Reply-To: [email-masked]

If the following is not an outright contradiction, could someone
please clarify for me what it means?  Thanks in advance.

Dave

RFC1771, section 5.1.4  MULTI_EXIT_DISC

   [...]  If received over external links, the MULTI_EXIT_DISC
   attribute may be propagated over internal links to other BGP
   speakers within the same AS.  The MULTI_EXIT_DISC attribute is
   never propagated to other BGP speakers in neighboring AS's.

From: "Jeffrey T. Johnson" <[email-masked]>
Date: Mon, 8 Jan 1996 17:16:45 -0800
To: [email-masked]
Subject: updated bgp-4 mib submitted
Sender: [email-masked]
Reply-To: [email-masked]

Since I raised an objection to the BGP-4 MIB at last call, I was requested
to update the MIB so as to resolve my concerns.  I have submitted an updated
MIB to CNRI.  The two major diffs, with an explanation, follows.

Major diff 1, trap definitions.  Recall that in RFC 1269 the following
traps were defined:
               bgpEstablished TRAP-TYPE
                    ENTERPRISE { bgp }
                    VARIABLES  { bgpPeerRemoteAddr,
                              bgpPeerLastError,
                              bgpPeerState }
                    DESCRIPTION
                         "The BGP Established event is generated when
                         the BGP FSM enters the ESTABLISHED state. "
                    ::= 1

               bgpBackwardTransition TRAP-TYPE
                    ENTERPRISE { bgp }
                    VARIABLES  { bgpPeerRemoteAddr,
                              bgpPeerLastError,
                              bgpPeerState }
                    DESCRIPTION
                         "The BGPBackwardTransition Event is generated
                         when the BGP FSM moves from a higher numbered
                         state to a lower numbered state."
                    ::= 2

In RFC 1657, these traps were converted to the SNMPv2 SMI as follows:
                bgpTraps                OBJECT IDENTIFIER ::= { bgp 7 }

                bgpEstablished NOTIFICATION-TYPE
                    OBJECTS { bgpPeerLastError,
                              bgpPeerState      }
                    STATUS  current
                    DESCRIPTION
                            "The BGP Established event is generated when
                            the BGP FSM enters the ESTABLISHED state."
                    ::= { bgpTraps 1 }

                bgpBackwardTransition NOTIFICATION-TYPE
                    OBJECTS { bgpPeerLastError,
                              bgpPeerState      }
                    STATUS  current
                    DESCRIPTION
                            "The BGPBackwardTransition Event is generated
                            when the BGP FSM moves from a higher numbered
                            state to a lower numbered state."
                    ::= { bgpTraps 2 }

There were two problems with these definitions.  The first problem was the
assignment of the OIDs to the traps.  Although the procedure was hidden in
the coexistance document, the mechanism for converting a V1-style trap into
a V2-style trap is described as:
                                         ...the value used is the
               concatenation of the enterprise field from the Trap-PDU
               with two additional sub-identifiers, `0', and the value
               of the specific-trap field...

Hence the OID assigned to bgpEstablished should have been bgp.0.1 and
the OID assigned to bgpBackwardTransition should have been bgp.0.2.
This is easily fixed by changing the definition of bgpTraps from:
                bgpTraps                OBJECT IDENTIFIER ::= { bgp 7 }
to
                bgpTraps                OBJECT IDENTIFIER ::= { bgp 0 }

The second problem with the new trap definitions was that the mib
object bgpPeerRemoteAddr was removed from the varbind list of the
trap.  I understand the rationale for removing the object, but that
doesn't make it legal to do so.

Major diff #2, compliance and conformance info.  RFC 1657 did not
contain any compliance or conformance information, which is required
of all SNMPv2 mibs.  I have added this information.  Note that based
on the recommendation of the Network Management Area Director, I have
based my definitions on the latest draft of the conformance documents,
draft-ietf-snmpv2-conf-ds-06.txt.  The major difference between this
drat and RFC 1444 which affects the BGP MIB is that the new draft
introduces the NOTIFICATION-GROUP macro which the mib utilizes.

regards
/jeff